This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 681907 - tzdata updates needed for changes in Chile's DST
tzdata updates needed for changes in Chile's DST
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tzdata (Show other bugs)
6.0
All All
unspecified Severity urgent
: rc
: ---
Assigned To: Petr Machata
qe-baseos-daemons
:
Depends On: 681594 681908 681914
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 10:05 EST by Petr Machata
Modified: 2015-05-04 21:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 681594
: 695007 (view as bug list)
Environment:
Last Closed: 2011-03-11 20:11:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2011-03-03 10:05:22 EST
+++ This bug was initially created as a clone of Bug #681594 +++

Description of problem:

The government of Chile has announced that they will extend their summertime an additional three weeks.

Summertime was supposed to end on the 12th of March (2011):

On the 24:00 hours of Saturday 12 of March 2011, time goes back one hour, that means, 23:00 hours. (Is left as UTC - 04).

[root@redhat ~]# zdump -v -c 2010,2012 America/Santiago
America/Santiago  -9223372036854775808 = NULL
America/Santiago  -9223372036854689408 = NULL
America/Santiago  Sun Apr  4 02:59:59 2010 UTC = Sat Apr  3 23:59:59 2010 CLST isdst=1 gmtoff=-10800
America/Santiago  Sun Apr  4 03:00:00 2010 UTC = Sat Apr  3 23:00:00 2010 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct 10 03:59:59 2010 UTC = Sat Oct  9 23:59:59 2010 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct 10 04:00:00 2010 UTC = Sun Oct 10 01:00:00 2010 CLST isdst=1 gmtoff=-10800
America/Santiago  Sun Mar 13 02:59:59 2011 UTC = Sat Mar 12 23:59:59 2011 CLST isdst=1 gmtoff=-10800
America/Santiago  Sun Mar 13 03:00:00 2011 UTC = Sat Mar 12 23:00:00 2011 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct  9 03:59:59 2011 UTC = Sat Oct  8 23:59:59 2011 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct  9 04:00:00 2011 UTC = Sun Oct  9 01:00:00 2011 CLST isdst=1 gmtoff=-10800
America/Santiago  9223372036854689407 = NULL
America/Santiago  9223372036854775807 = NULL
[root@redhat ~]# 

Instead, summertime will now end the 2nd of April.

http://www.diario-expreso.com/ediciones/2011/03/02/mundo/mundo/chile-aplaza-inicio-hora-invierno-por-crisis-energia/

This hasn't been updated on the official website (http://www.horaoficial.cl/cambio.htm), although the announcement was official. We should double-check this.

Steps to Reproduce:

# zdump -v -c 2010,2012 America/Santiago


Actual results:

America/Santiago  -9223372036854775808 = NULL
America/Santiago  -9223372036854689408 = NULL
America/Santiago  Sun Apr  4 02:59:59 2010 UTC = Sat Apr  3 23:59:59 2010 CLST isdst=1 gmtoff=-10800
America/Santiago  Sun Apr  4 03:00:00 2010 UTC = Sat Apr  3 23:00:00 2010 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct 10 03:59:59 2010 UTC = Sat Oct  9 23:59:59 2010 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct 10 04:00:00 2010 UTC = Sun Oct 10 01:00:00 2010 CLST isdst=1 gmtoff=-10800
America/Santiago  Sun Mar 13 02:59:59 2011 UTC = Sat Mar 12 23:59:59 2011 CLST isdst=1 gmtoff=-10800
America/Santiago  Sun Mar 13 03:00:00 2011 UTC = Sat Mar 12 23:00:00 2011 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct  9 03:59:59 2011 UTC = Sat Oct  8 23:59:59 2011 CLT isdst=0 gmtoff=-14400
America/Santiago  Sun Oct  9 04:00:00 2011 UTC = Sun Oct  9 01:00:00 2011 CLST isdst=1 gmtoff=-10800
America/Santiago  9223372036854689407 = NULL
America/Santiago  9223372036854775807 = NULL
[root@redhat ~]# 


Expected results:

If the announcement is indeed official, the change should take place on Apr 2 instead of Mar 12.

--- Additional comment from cristiansilva@gmail.com on 2011-03-02 21:17:27 CET ---

Created attachment 481936 [details]
southamerica tzdata file

modified southamerica tzdata file for the current dst

diff -u southamericaMOD southamerica
--- southamericaMOD	2011-03-02 17:14:12.000000000 -0300
+++ southamerica	2010-11-01 10:18:22.000000000 -0300
@@ -1190,8 +1190,7 @@
 Rule	Chile	2008	only   	-	Mar	30	        3:00u	0	-
 Rule	Chile	2009	only	        -	Mar	Sun>=9	3:00u	0	-
 Rule	Chile	2010	only  	-	Apr	 4	        3:00u	0	-
-Rule	Chile	2011	only	        -	Apr	 3	        3:00u	0	-
-Rule	Chile	2012	max	-	Mar	Sun>=9	3:00u	0	-
+Rule	Chile	2011	max	-	Mar	Sun>=9	3:00u	0	-
 # IATA SSIM anomalies: (1992-02) says 1992-03-14;
 # (1996-09) says 1998-03-08.  Ignore these.
 # Zone	NAME		GMTOFF	RULES	FORMAT	[UNTIL]
Comment 3 errata-xmlrpc 2011-03-11 20:11:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0353.html

Note You need to log in before you can comment on or make changes to this bug.